import request from '@/utils/request'

// 查询SmsAbnormalNumber列表
export function listSmsAbnormalNumber(query) {
    return request({
        url: '/api/v1/sms-abnormal-number',
        method: 'get',
        params: query
    })
}

// 查询SmsAbnormalNumber详细
export function getSmsAbnormalNumber (id) {
    return request({
        url: '/api/v1/sms-abnormal-number/' + id,
        method: 'get'
    })
}


// 新增SmsAbnormalNumber
export function addSmsAbnormalNumber(data) {
    return request({
        url: '/api/v1/sms-abnormal-number',
        method: 'post',
        data: data
    })
}

// 修改SmsAbnormalNumber
export function updateSmsAbnormalNumber(data) {
    return request({
        url: '/api/v1/sms-abnormal-number/'+data.id,
        method: 'put',
        data: data
    })
}

// 删除SmsAbnormalNumber
export function delSmsAbnormalNumber(data) {
    return request({
        url: '/api/v1/sms-abnormal-number',
        method: 'delete',
        data: data
    })
}

//同步并比较差异
export function syncStateAbnormalNumber() {
    return request({
        url: '/api/v1/sms-abnormal-number/sync-state',
        method: 'post'
    })
}